diff --git a/reviewboard/hostingsvcs/tests/test_github.py b/reviewboard/hostingsvcs/tests/test_github.py
index 9c85e28cddfdfcda89f2ce7ee3e0812c4438764a..c5da7ca036de8aa6c1be45b6ae35e23e9e5c0cf9 100644
--- a/reviewboard/hostingsvcs/tests/test_github.py
+++ b/reviewboard/hostingsvcs/tests/test_github.py
@@ -1,7 +1,10 @@
 """Unit tests for the GitHub hosting service."""
 
+from __future__ import annotations
+
 import hashlib
 import hmac
+from typing import TYPE_CHECKING
 
 from django.contrib.auth.models import User
 from django.core.exceptions import ObjectDoesNotExist
@@ -12,6 +15,7 @@
 from reviewboard.scmtools.core import Branch, Commit
 from reviewboard.hostingsvcs.errors import (AuthorizationError,
                                             RepositoryError)
+from reviewboard.hostingsvcs.github import GitHub
 from reviewboard.hostingsvcs.hook_utils import logger
 from reviewboard.hostingsvcs.repository import RemoteRepository
 from reviewboard.hostingsvcs.testing import HostingServiceTestCase
@@ -22,8 +26,16 @@
 from reviewboard.site.models import LocalSite
 from reviewboard.site.urlresolvers import local_site_reverse
 
-
-class GitHubTestCase(HostingServiceTestCase):
+if TYPE_CHECKING:
+    from collections.abc import Mapping
+    from typing import Any
+
+    from django.test.client import _MonkeyPatchedWSGIResponse
+
+    from reviewboard.hostingsvcs.testing.testcases import HttpTestPath
+
+
+class GitHubTestCase(HostingServiceTestCase[GitHub]):
     """Base class for GitHub test suites."""
 
     service_name = 'github'
@@ -41,13 +53,13 @@
 class GitHubTests(GitHubTestCase):
     """Unit tests for the GitHub hosting service."""
 
-    def test_service_support(self):
+    def test_service_support(self) -> None:
         """Testing GitHub service support capabilities"""
         self.assertTrue(self.service_class.supports_bug_trackers)
         self.assertTrue(self.service_class.supports_repositories)
         self.assertFalse(self.service_class.supports_ssh_key_association)
 
-    def test_get_repository_fields_with_public_plan(self):
+    def test_get_repository_fields_with_public_plan(self) -> None:
         """Testing GitHub.get_repository_fields with the public plan"""
         self.assertEqual(
             self.get_repository_fields(
@@ -62,7 +74,7 @@
                 'mirror_path': 'git@github.com:myuser/myrepo.git',
             })
 
-    def test_get_repository_fields_with_public_org_plan(self):
+    def test_get_repository_fields_with_public_org_plan(self) -> None:
         """Testing GitHub.get_repository_fields with the public-org plan"""
         self.assertEqual(
             self.get_repository_fields(
@@ -78,7 +90,7 @@
                 'mirror_path': 'git@github.com:myorg/myrepo.git',
             })
 
-    def test_get_repository_fields_with_private_plan(self):
+    def test_get_repository_fields_with_private_plan(self) -> None:
         """Testing GitHub.get_repository_fields with the private plan"""
         self.assertEqual(
             self.get_repository_fields(
@@ -93,7 +105,7 @@
                 'mirror_path': '',
             })
 
-    def test_get_repository_fields_with_private_org_plan(self):
+    def test_get_repository_fields_with_private_org_plan(self) -> None:
         """Testing GitHub.get_repository_fields with the private-org plan"""
         self.assertEqual(
             self.get_repository_fields(
@@ -109,14 +121,14 @@
                 'mirror_path': '',
             })
 
-    def test_get_repo_api_url_with_public_plan(self):
+    def test_get_repo_api_url_with_public_plan(self) -> None:
         """Testing GitHub._get_repo_api_url with the public plan"""
         url = self._get_repo_api_url('public', {
             'github_public_repo_name': 'testrepo',
         })
         self.assertEqual(url, 'https://api.github.com/repos/myuser/testrepo')
 
-    def test_get_repo_api_url_with_public_org_plan(self):
+    def test_get_repo_api_url_with_public_org_plan(self) -> None:
         """Testing GitHub._get_repo_api_url with the public-org plan"""
         url = self._get_repo_api_url('public-org', {
             'github_public_org_name': 'myorg',
@@ -124,14 +136,14 @@
         })
         self.assertEqual(url, 'https://api.github.com/repos/myorg/testrepo')
 
-    def test_get_repo_api_url_with_private_plan(self):
+    def test_get_repo_api_url_with_private_plan(self) -> None:
         """Testing GitHub._get_repo_api_url with the private plan"""
         url = self._get_repo_api_url('private', {
             'github_private_repo_name': 'testrepo',
         })
         self.assertEqual(url, 'https://api.github.com/repos/myuser/testrepo')
 
-    def test_get_repo_api_url_with_private_org_plan(self):
+    def test_get_repo_api_url_with_private_org_plan(self) -> None:
         """Testing GitHub._get_repo_api_url with the private-org plan"""
         url = self._get_repo_api_url('private-org', {
             'github_private_org_name': 'myorg',
@@ -139,7 +151,7 @@
         })
         self.assertEqual(url, 'https://api.github.com/repos/myorg/testrepo')
 
-    def test_get_bug_tracker_field_with_public_plan(self):
+    def test_get_bug_tracker_field_with_public_plan(self) -> None:
         """Testing GitHub.get_bug_tracker_field with the public plan"""
         self.assertTrue(
             self.service_class.get_bug_tracker_requires_username('public'))
@@ -150,7 +162,7 @@
             }),
             'http://github.com/myuser/myrepo/issues#issue/%s')
 
-    def test_get_bug_tracker_field_with_public_org_plan(self):
+    def test_get_bug_tracker_field_with_public_org_plan(self) -> None:
         """Testing GitHub.get_bug_tracker_field with the public-org plan"""
         self.assertFalse(
             self.service_class.get_bug_tracker_requires_username('public-org'))
@@ -161,7 +173,7 @@
             }),
             'http://github.com/myorg/myrepo/issues#issue/%s')
 
-    def test_get_bug_tracker_field_with_private_plan(self):
+    def test_get_bug_tracker_field_with_private_plan(self) -> None:
         """Testing GitHub.get_bug_tracker_field with the private plan"""
         self.assertTrue(
             self.service_class.get_bug_tracker_requires_username('private'))
@@ -172,7 +184,7 @@
             }),
             'http://github.com/myuser/myrepo/issues#issue/%s')
 
-    def test_get_bug_tracker_field_with_private_org_plan(self):
+    def test_get_bug_tracker_field_with_private_org_plan(self) -> None:
         """Testing GitHub.get_bug_tracker_field with the private-org plan"""
         self.assertFalse(self.service_class.get_bug_tracker_requires_username(
             'private-org'))
@@ -183,7 +195,7 @@
             }),
             'http://github.com/myorg/myrepo/issues#issue/%s')
 
-    def test_get_repository_hook_instructions(self):
+    def test_get_repository_hook_instructions(self) -> None:
         """Testing GitHub.get_repository_hook_instructions"""
         account = self.create_hosting_account()
         repository = self.create_repository(hosting_account=account)
@@ -208,31 +220,31 @@
             content)
         self.assertIn('Review Board supports closing', content)
 
-    def test_check_repository_public(self):
+    def test_check_repository_public(self) -> None:
         """Testing GitHub.check_repository with public repository"""
         self._test_check_repository(plan='public',
                                     github_public_repo_name='myrepo')
 
-    def test_check_repository_private(self):
+    def test_check_repository_private(self) -> None:
         """Testing GitHub.check_repository with private repository"""
         self._test_check_repository(plan='private',
                                     github_private_repo_name='myrepo')
 
-    def test_check_repository_public_org(self):
+    def test_check_repository_public_org(self) -> None:
         """Testing GitHub.check_repository with public org repository"""
         self._test_check_repository(plan='public-org',
                                     github_public_org_name='myorg',
                                     github_public_org_repo_name='myrepo',
                                     expected_owner='myorg')
 
-    def test_check_repository_private_org(self):
+    def test_check_repository_private_org(self) -> None:
         """Testing GitHub.check_repository with private org repository"""
         self._test_check_repository(plan='private-org',
                                     github_private_org_name='myorg',
                                     github_private_org_repo_name='myrepo',
                                     expected_owner='myorg')
 
-    def test_check_repository_public_not_found(self):
+    def test_check_repository_public_not_found(self) -> None:
         """Testing GitHub.check_repository with not found error and public
         repository
         """
@@ -245,7 +257,7 @@
             expected_error='A repository with this name was not found, '
                            'or your user may not own it.')
 
-    def test_check_repository_private_not_found(self):
+    def test_check_repository_private_not_found(self) -> None:
         """Testing GitHub.check_repository with not found error and private
         repository
         """
@@ -258,7 +270,7 @@
             expected_error='A repository with this name was not found, '
                            'or your user may not own it.')
 
-    def test_check_repository_public_org_not_found(self):
+    def test_check_repository_public_org_not_found(self) -> None:
         """Testing GitHub.check_repository with not found error and
         public organization repository
         """
@@ -272,7 +284,7 @@
             expected_error='A repository with this organization or name '
                            'was not found.')
 
-    def test_check_repository_private_org_not_found(self):
+    def test_check_repository_private_org_not_found(self) -> None:
         """Testing GitHub.check_repository with not found error and
         private organization repository
         """
@@ -287,7 +299,7 @@
                            'was not found, or your user may not have access '
                            'to it.')
 
-    def test_check_repository_public_plan_private_repo(self):
+    def test_check_repository_public_plan_private_repo(self) -> None:
         """Testing GitHub.check_repository with public plan and
         private repository
         """
@@ -300,7 +312,7 @@
             expected_error='This is a private repository, but you have '
                            'selected a public plan.')
 
-    def test_check_repository_private_plan_public_repo(self):
+    def test_check_repository_private_plan_public_repo(self) -> None:
         """Testing GitHub.check_repository with private plan and
         public repository
         """
@@ -313,7 +325,7 @@
             expected_error='This is a public repository, but you have '
                            'selected a private plan.')
 
-    def test_check_repository_public_org_plan_private_repo(self):
+    def test_check_repository_public_org_plan_private_repo(self) -> None:
         """Testing GitHub.check_repository with public organization plan and
         private repository
         """
@@ -327,7 +339,7 @@
             expected_error='This is a private repository, but you have '
                            'selected a public plan.')
 
-    def test_check_repository_private_org_plan_public_repo(self):
+    def test_check_repository_private_org_plan_public_repo(self) -> None:
         """Testing GitHub.check_repository with private organization plan and
         public repository
         """
@@ -341,12 +353,12 @@
             expected_error='This is a public repository, but you have '
                            'selected a private plan.')
 
-    def test_authorize(self):
+    def test_authorize(self) -> None:
         """Testing GitHub.authorize"""
-        paths = {
+        paths: dict[str | None, HttpTestPath] = {
             '/user': {
                 'headers': {
-                    str('X-OAuth-Scopes'): str('user, repo, admin:repo_hook'),
+                    'X-OAuth-Scopes': 'user, repo, admin:repo_hook',
                 },
                 'payload': b'{}',
             },
@@ -377,12 +389,12 @@
             decrypt_password(hosting_account.data['personal_token']),
             'abcde12345abcde12345abcde12345abcde12345')
 
-    def test_authorize_with_missing_scopes(self):
+    def test_authorize_with_missing_scopes(self) -> None:
         """Testing GitHub.authorize with missing scopes"""
         paths = {
             '/user': {
                 'headers': {
-                    str('X-OAuth-Scopes'): str('user, foobar'),
+                    'X-OAuth-Scopes': 'user, foobar',
                 },
                 'payload': b'{}',
             },
@@ -416,14 +428,14 @@
         self.assertNotIn('personal_token', hosting_account.data)
         self.assertNotIn('authorizations', hosting_account.data)
 
-    def test_is_authorized_with_personal_token(self):
+    def test_is_authorized_with_personal_token(self) -> None:
         """Testing GitHub.is_authorized with personal access token"""
         hosting_account = self.create_hosting_account(data={
             'personal_token': encrypt_password('abc123'),
         })
         self.assertTrue(hosting_account.is_authorized)
 
-    def test_is_authorized_with_legacy_authorization(self):
+    def test_is_authorized_with_legacy_authorization(self) -> None:
         """Testing GitHub.is_authorized with legacy authorization token"""
         hosting_account = self.create_hosting_account(data={
             'authorization': {
@@ -432,14 +444,14 @@
         })
         self.assertTrue(hosting_account.is_authorized)
 
-    def test_is_authorized_without_tokens(self):
+    def test_is_authorized_without_tokens(self) -> None:
         """Testing GitHub.is_authorized with legacy authorization token"""
         hosting_account = self.create_hosting_account(data={
             'authorizations': {},
         })
         self.assertFalse(hosting_account.is_authorized)
 
-    def test_api_with_personal_accesstoken(self):
+    def test_api_with_personal_accesstoken(self) -> None:
         """Testing GitHub API access with personal access token"""
         with self.setup_http_test(payload=b'{}',
                                   expected_http_calls=1) as ctx:
@@ -454,7 +466,7 @@
             username='myuser',
             password='my-personal-token')
 
-    def test_api_with_legacy_auth_token(self):
+    def test_api_with_legacy_auth_token(self) -> None:
         """Testing GitHub API access with legacy auth tokens"""
         with self.setup_http_test(payload=b'{}',
                                   expected_http_calls=1) as ctx:
@@ -471,7 +483,7 @@
             username='myuser',
             password='my-legacy-token')
 
-    def test_get_branches(self):
+    def test_get_branches(self) -> None:
         """Testing GitHub.get_branches"""
         payload = self.dump_json([
             {
@@ -525,7 +537,7 @@
                        default=False),
             ])
 
-    def test_get_branches_master_default(self):
+    def test_get_branches_master_default(self) -> None:
         """Testing GitHub.get_branches master default"""
         payload = self.dump_json([
             {
@@ -564,7 +576,7 @@
                        default=True),
             ])
 
-    def test_get_branches_main_default(self):
+    def test_get_branches_main_default(self) -> None:
         """Testing GitHub.get_branches main default"""
         payload = self.dump_json([
             {
@@ -603,7 +615,7 @@
                        default=True),
             ])
 
-    def test_get_branches_default_fallback(self):
+    def test_get_branches_default_fallback(self) -> None:
         """Testing GitHub.get_branches default fallback"""
         payload = self.dump_json([
             {
@@ -642,7 +654,7 @@
                        default=False),
             ])
 
-    def test_get_commits(self):
+    def test_get_commits(self) -> None:
         """Testing GitHub.get_commits"""
         payload = self.dump_json([
             {
@@ -720,13 +732,13 @@
         for commit in commits:
             self.assertIsNone(commit.diff)
 
-    def test_get_change(self):
+    def test_get_change(self) -> None:
         """Testing GitHub.get_change"""
         commit_sha = '1c44b461cebe5874a857c51a4a13a849a4d1e52d'
         parent_sha = '44568f7d33647d286691517e6325fea5c7a21d5e'
         tree_sha = '56e25e58380daf9b4dfe35677ae6043fe1743922'
 
-        paths = {
+        paths: dict[str | None, HttpTestPath] = {
             '/repos/myuser/myrepo/commits': {
                 'payload': self.dump_json([
                     {
@@ -886,7 +898,7 @@
             b'- foo\n'
             b'+ bar\n')
 
-    def test_get_change_with_not_found(self):
+    def test_get_change_with_not_found(self) -> None:
         """Testing GitHub.get_change with commit not found"""
         with self.setup_http_test(status_code=404,
                                   payload=b'{"message": "Not Found"}',
@@ -904,12 +916,12 @@
             username='myuser',
             password='abc123')
 
-    def test_get_remote_repositories_with_owner(self):
+    def test_get_remote_repositories_with_owner(self) -> None:
         """Testing GitHub.get_remote_repositories with requesting
         authenticated user's repositories
         """
         base_url = 'https://api.github.com/user/repos'
-        paths = {
+        paths: dict[str | None, HttpTestPath] = {
             '/user/repos': {
                 'payload': self.dump_json([
                     {
@@ -924,7 +936,7 @@
                     },
                 ]),
                 'headers': {
-                    str('Link'): str('<%s?page=2>; rel="next"' % base_url),
+                    'Link': f'<{base_url}?page=2>; rel="next"',
                 },
             },
             '/user/repos?page=2': {
@@ -941,7 +953,7 @@
                     },
                 ]),
                 'headers': {
-                    str('Link'): str('<%s?page=1>; rel="prev"' % base_url),
+                    'Link': f'<{base_url}?page=1>; rel="prev"',
                 },
             },
         }
@@ -992,7 +1004,7 @@
         self.assertEqual(repo.path, 'myrepo_path2')
         self.assertEqual(repo.mirror_path, 'myrepo_mirror2')
 
-    def test_get_remote_repositories_with_other_user(self):
+    def test_get_remote_repositories_with_other_user(self) -> None:
         """Testing GitHub.get_remote_repositories with requesting user's
         repositories
         """
@@ -1010,10 +1022,8 @@
         ])
 
         headers = {
-            str('Link'): str(
-                '<https://api.github.com/users/other/repos'
-                '?page=2>; rel="next"'
-            ),
+            'Link': '<https://api.github.com/users/other/repos'
+                    '?page=2>; rel="next"',
         }
 
         with self.setup_http_test(payload=repos1,
@@ -1037,7 +1047,7 @@
         self.assertEqual(public_repo.path, 'myrepo_path')
         self.assertEqual(public_repo.mirror_path, 'myrepo_mirror')
 
-    def test_get_remote_repositories_with_org(self):
+    def test_get_remote_repositories_with_org(self) -> None:
         """Testing GitHub.get_remote_repositories with requesting
         organization's repositories
         """
@@ -1094,7 +1104,7 @@
         self.assertEqual(private_repo.path, 'myrepo_path2')
         self.assertEqual(private_repo.mirror_path, 'myrepo_mirror2')
 
-    def test_get_remote_repositories_with_defaults(self):
+    def test_get_remote_repositories_with_defaults(self) -> None:
         """Testing GitHub.get_remote_repositories with default values"""
         with self.setup_http_test(payload=b'{}',
                                   expected_http_calls=1) as ctx:
@@ -1106,7 +1116,7 @@
             username='myuser',
             password='abc123')
 
-    def test_get_remote_repositories_with_filter(self):
+    def test_get_remote_repositories_with_filter(self) -> None:
         """Testing GitHub.get_remote_repositories with ?filter-type="""
         with self.setup_http_test(payload=b'[]',
                                   expected_http_calls=1) as ctx:
@@ -1119,7 +1129,7 @@
             username='myuser',
             password='abc123')
 
-    def test_get_remote_repository(self):
+    def test_get_remote_repository(self) -> None:
         """Testing GitHub.get_remote_repository"""
         payload = self.dump_json({
             'id': 1,
@@ -1151,7 +1161,7 @@
         self.assertEqual(remote_repository.path, 'myrepo_path')
         self.assertEqual(remote_repository.mirror_path, 'myrepo_mirror')
 
-    def test_get_remote_repository_invalid(self):
+    def test_get_remote_repository_invalid(self) -> None:
         """Testing GitHub.get_remote_repository with invalid repository ID"""
         with self.setup_http_test(status_code=404,
                                   payload=b'{"message": "Not Found"}',
@@ -1165,11 +1175,15 @@
             username='myuser',
             password='abc123')
 
-    def _test_check_repository(self, expected_owner='myuser', **kwargs):
+    def _test_check_repository(
+        self,
+        expected_owner: str = 'myuser',
+        **kwargs,
+    ) -> None:
         """Test checking for a repository.
 
         Args:
-            expected_owner (unicode):
+            expected_owner (str, optional):
                 The expected owner of the repository.
 
             **kwargs (dict):
@@ -1187,8 +1201,14 @@
             username='myuser',
             password='abc123')
 
-    def _test_check_repository_error(self, http_status, payload, expected_url,
-                                     expected_error, **kwargs):
+    def _test_check_repository_error(
+        self,
+        http_status: int,
+        payload: bytes,
+        expected_url: str,
+        expected_error: str,
+        **kwargs,
+    ) -> None:
         """Test error conditions when checking for a repository.
 
         Args:
@@ -1198,10 +1218,10 @@
             payload (bytes):
                 The payload to return, if ``http_status`` is 200.
 
-            expected_url (unicode):
+            expected_url (str):
                 The expected URL accessed (minus any query strings).
 
-            expected_error (unicode):
+            expected_error (str):
                 The expected error message from a raised exception.
 
             **kwargs (dict):
@@ -1224,18 +1244,22 @@
             username='myuser',
             password='abc123')
 
-    def _get_repo_api_url(self, plan, fields):
+    def _get_repo_api_url(
+        self,
+        plan: str,
+        fields: Mapping[str, Any],
+    ) -> str:
         """Return the base API URL for a repository.
 
         Args:
-            plan (unicode):
+            plan (str):
                 The name of the plan.
 
             fields (dict):
                 Fields containing repository information.
 
         Returns:
-            unicode:
+            str:
             The API URL for the repository.
         """
         account = self.create_hosting_account()
@@ -1257,12 +1281,12 @@
 
     fixtures = ['test_users', 'test_scmtools']
 
-    def test_close_submitted_hook(self):
+    def test_close_submitted_hook(self) -> None:
         """Testing GitHub close_submitted hook with event=push"""
         self._test_post_commit_hook()
 
     @add_fixtures(['test_site'])
-    def test_close_submitted_hook_with_local_site(self):
+    def test_close_submitted_hook_with_local_site(self) -> None:
         """Testing GitHub close_submitted hook with event=push and using a
         Local Site
         """
@@ -1270,13 +1294,15 @@
             LocalSite.objects.get(name=self.local_site_name))
 
     @add_fixtures(['test_site'])
-    def test_close_submitted_hook_with_unpublished_review_request(self):
+    def test_close_submitted_hook_with_unpublished_review_request(
+        self,
+    ) -> None:
         """Testing GitHub close_submitted hook with event=push and an
         un-published review request
         """
         self._test_post_commit_hook(publish=False)
 
-    def test_close_submitted_hook_ping(self):
+    def test_close_submitted_hook_ping(self) -> None:
         """Testing GitHub close_submitted hook with event=ping"""
         account = self.create_hosting_account()
         repository = self.create_repository(hosting_account=account)
@@ -1305,7 +1331,7 @@
         self.assertEqual(review_request.status, review_request.PENDING_REVIEW)
         self.assertEqual(review_request.changedescs.count(), 0)
 
-    def test_close_submitted_hook_with_invalid_repo(self):
+    def test_close_submitted_hook_with_invalid_repo(self) -> None:
         """Testing GitHub close_submitted hook with event=push and invalid
         repository
         """
@@ -1334,7 +1360,7 @@
         self.assertEqual(review_request.status, review_request.PENDING_REVIEW)
         self.assertEqual(review_request.changedescs.count(), 0)
 
-    def test_close_submitted_hook_with_invalid_site(self):
+    def test_close_submitted_hook_with_invalid_site(self) -> None:
         """Testing GitHub close_submitted hook with event=push and invalid
         Local Site
         """
@@ -1365,7 +1391,7 @@
         self.assertEqual(review_request.status, review_request.PENDING_REVIEW)
         self.assertEqual(review_request.changedescs.count(), 0)
 
-    def test_close_submitted_hook_with_invalid_service_id(self):
+    def test_close_submitted_hook_with_invalid_service_id(self) -> None:
         """Testing GitHub close_submitted hook with event=push and invalid
         hosting service ID
         """
@@ -1399,7 +1425,7 @@
         self.assertEqual(review_request.status, review_request.PENDING_REVIEW)
         self.assertEqual(review_request.changedescs.count(), 0)
 
-    def test_close_submitted_hook_with_invalid_event(self):
+    def test_close_submitted_hook_with_invalid_event(self) -> None:
         """Testing GitHub close_submitted hook with invalid event"""
         account = self.create_hosting_account()
         repository = self.create_repository(hosting_account=account)
@@ -1427,7 +1453,7 @@
         self.assertEqual(review_request.status, review_request.PENDING_REVIEW)
         self.assertEqual(review_request.changedescs.count(), 0)
 
-    def test_close_submitted_hook_with_invalid_signature(self):
+    def test_close_submitted_hook_with_invalid_signature(self) -> None:
         """Testing GitHub close_submitted hook with invalid signature"""
         account = self.create_hosting_account()
         repository = self.create_repository(hosting_account=account)
@@ -1454,7 +1480,7 @@
         self.assertEqual(review_request.status, review_request.PENDING_REVIEW)
         self.assertEqual(review_request.changedescs.count(), 0)
 
-    def test_close_submitted_hook_with_invalid_review_requests(self):
+    def test_close_submitted_hook_with_invalid_review_requests(self) -> None:
         """Testing GitHub close_submitted hook with event=push and invalid
         review requests
         """
@@ -1490,7 +1516,11 @@
             'close_all_review_requests: Review request #%s does not exist.',
             9999))
 
-    def _test_post_commit_hook(self, local_site=None, publish=True):
+    def _test_post_commit_hook(
+        self,
+        local_site: (LocalSite | None) = None,
+        publish: bool = True,
+    ) -> None:
         """Testing posting to a commit hook.
 
         This will simulate pushing a commit and posting the resulting webhook
@@ -1534,22 +1564,27 @@
         changedesc = review_request.changedescs.get()
         self.assertEqual(changedesc.text, 'Pushed to master (1c44b46)')
 
-    def _post_commit_hook_payload(self, post_url, review_request_url, secret,
-                                  event='push'):
+    def _post_commit_hook_payload(
+        self,
+        post_url: str,
+        review_request_url: str,
+        secret: str,
+        event: str = 'push',
+    ) -> _MonkeyPatchedWSGIResponse:
         """Post a payload for a hook for testing.
 
         Args:
-            post_url (unicode):
+            post_url (str):
                 The URL to post to.
 
-            review_request_url (unicode):
+            review_request_url (str):
                 The URL of the review request being represented in the
                 payload.
 
-            secret (unicode):
+            secret (str):
                 The HMAC secret for the message.
 
-            event (unicode, optional):
+            event (str, optional):
                 The webhook event.
 
         Results:
